rpms/akmods/F-14 akmods, 1.4, 1.5 akmods.spec, 1.6, 1.7 akmodsbuild.1, 1.1, 1.2
by Richard Shaw
Author: hobbes1069
Update of /cvs/free/rpms/akmods/F-14
In directory se02.es.rpmfusion.net:/tmp/cvs-serv30418
Modified Files:
akmods akmods.spec akmodsbuild.1
Log Message:
* Fri Sep 23 2011 Richard Shaw <hobbes1069(a)gmail.com> - 0.3.7-1
- Update to 0.3.7
- Fixes #1805. Version check is now properly based on rpmdev-vercmp exit code.
- Fixes #1813. Exit code is now 0 on success for systemd compatability.
- Fixes #485. Change from "lockfile" to "flock" for lockfile management to
remove dependency on procmail.
- Fixes #773. Added /usr/bin/time as a requirement.
- Fixes #1592.
- Fixes #1930. "/var/cache/akmods" is now owned by the akmods user.
Index: akmods
===================================================================
RCS file: /cvs/free/rpms/akmods/F-14/akmods,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- akmods 1 Feb 2009 13:21:31 -0000 1.4
+++ akmods 29 Sep 2011 23:26:45 -0000 1.5
@@ -36,7 +36,7 @@
# global vars
myprog="akmods"
-myver="0.3.5"
+myver="0.3.7"
kmodlogfile=
continue_line=""
tmpdir=
@@ -105,7 +105,7 @@
exit ${1:-128}
}
-trap "finally" ABRT EXIT HUP INT QUIT
+trap "finally" ABRT HUP INT QUIT
create_tmpdir()
{
@@ -192,7 +192,7 @@
fi
# tools needed
- for tool in akmodsbuild chown lockfile sed rpmdev-vercmp; do
+ for tool in akmodsbuild chown flock sed rpmdev-vercmp; do
if ! which "${tool}" &> /dev/null ; then
echo -n "${tool} not found" >&2
echo_failure; echo; exit 1
@@ -200,7 +200,8 @@
done
# create lockfile and wait till we get it
- lockfile -s 2 -l 1800 "/var/cache/akmods/.lockfile"
+ exec 99>/var/lock/subsys/akmods
+ flock -w 900 99
}
buildinstall_kmod()
@@ -277,15 +278,15 @@
# everything fine?
if (( ${returncode} != 0 )); then
- if [[ "${continue_line}" ]]; then
- akmods_echo 1 2 --failure
- fi
- akmods_echo 2 1 "Could not install newly built RPMs. You can find them and the logfile"
- akmods_echo 2 1 "${this_kmodverrel}-for-${this_kernelver}.failed.log in /var/cache/akmods/${this_kmodname}/"
- cp -fl "${kmodlogfile}" "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}.failed.log"
- kmodlogfile=""
- remove_tmpdir
- return 8
+ if [[ "${continue_line}" ]]; then
+ akmods_echo 1 2 --failure
+ fi
+ akmods_echo 2 1 "Could not install newly built RPMs. You can find them and the logfile"
+ akmods_echo 2 1 "${this_kmodverrel}-for-${this_kernelver}.failed.log in /var/cache/akmods/${this_kmodname}/"
+ cp -fl "${kmodlogfile}" "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}.failed.log"
+ kmodlogfile=""
+ remove_tmpdir
+ return 8
fi
# finish
@@ -319,21 +320,21 @@
local kmodver=$(rpm -q --qf '%{EPOCH}:%{VERSION}-%{RELEASE}\n' "${kmodpackage}" | sed 's|(none)|0|; s!\.\(fc\|lvn\)[0-9]*!!g')
local akmodver=$(rpm -qp --qf '%{EPOCH}:%{VERSION}-%{RELEASE}\n' /usr/src/akmods/"${this_kmodname}"-kmod.latest | sed 's|(none)|0|; s!\.\(fc\|lvn\)[0-9]*!!g')
- # are they equal?
- if [[ "${kmodver}" == "${akmodver}" ]]; then
+ rpmdev-vercmp "${kmodver}" "${akmodver}" &>/dev/null
+ if [ "$?" == 0 ]; then
+ # Versions are the same. Nothing to do.
return 0
- fi
-
- local newestpkgver=$(rpmdev-vercmp "${kmodver}" "${akmodver}" 2>/dev/null | awk '{print $1}')
- if [[ ! "${kmodver}" ]] || [[ ! "${akmodver}" ]] || [[ ! "${newestpkgver}" ]] ; then
- # seems we didn't get what we wanted
- # well, better to do nothing in this case
- akmods_echo 1 2 -n "Warning: Could not determine if akmod is newer then the installed kmod"
+ elif [ "$?" == 11 ]; then
+ # kmod is newer, this nomally shouldn't happen.
+ akmods_echo 1 2 -n "Warning: installed kmod is newer then the akmod"
return 0
- elif [[ "${akmodver}" == "${newestpkgver}" ]] ; then
- # build it
+ elif [ "$?" == 12 ]; then
+ # akmod is newer, need to build kmod.
return 1
else
+ # Something went wrong
+ akmods_echo 1 2 -n "Error: Could not determine if akmod is newer then the installed kmod"
+ akmods_echo 1 2 --failure
return 0
fi
}
@@ -362,7 +363,8 @@
if [[ "${continue_line}" ]]; then
akmods_echo 1 2 --success
# if the files for building modules are not avilable don't even try to build modules
- if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] || [[ ! -r /lib/modules/${this_kernelver}/build/Makefile ]]; then
+ if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] && \
+ [[ ! -r /lib/modules/${this_kernelver}/build/Makefile ]]; then
akmods_echo 1 2 "Files needed for building modules against kernel"
akmods_echo 1 2 "${this_kernelver} could not be found as the following"
akmods_echo 1 2 "directories are missing:"
@@ -421,10 +423,12 @@
if [[ ! "${1}" ]] ; then
echo "ERROR: Please provide the kernel-version to build for together with --kernel" >&2
exit 1
- elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && [[ ! -r /lib/modules/${1}/build/Makefile ]]; then
+ elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && \
+ [[ ! -r /lib/modules/${1}/build/Makefile ]]; then
echo "Could not find files needed to compile modules for ${1}"
exit 1
- elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && [[ ! -r /boot/vmlinuz-"${1}" ]]; then
+ elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \
+ [[ ! -r /boot/vmlinuz-"${1}" ]]; then
# this is a red hat / fedora kernel-devel package, but the kernel for it is not installed
# kmodtool would adds a dep on that kernel when building; thus when we'd try to install the
# rpms we'd run into a missing-dep problem. Thus we prevent that case
@@ -457,7 +461,7 @@
shift
;;
--from-init)
- # just in case: remove stale lockfile is it exists:
+ # just in case: remove stale lockfile if it exists:
rm -f /var/cache/akmods/.lockfile
shift
;;
@@ -494,7 +498,7 @@
# go
for kernel in ${kernels} ; do
- check_kmods ${kernel}
+ check_kmods ${kernel}
done
# finished :)
Index: akmods.spec
===================================================================
RCS file: /cvs/free/rpms/akmods/F-14/akmods.spec,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- akmods.spec 2 Aug 2009 13:43:08 -0000 1.6
+++ akmods.spec 29 Sep 2011 23:26:46 -0000 1.7
@@ -1,24 +1,25 @@
Name: akmods
-Version: 0.3.6
-Release: 3%{?dist}
+Version: 0.3.7
+Release: 1%{?dist}
Summary: Automatic kmods build and install tool
Group: System Environment/Kernel
License: MIT
URL: http://rpmfusion.org/Packaging/KernelModules/Akmods
Source0: akmods
-#to be written: Source1: akmods.1
+# To be written
+#Source1: akmods.1
Source2: akmodsbuild
Source3: akmodsbuild.1
Source4: akmodsinit
Source6: akmodsposttrans
-BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
# not picked up automatically
Requires: %{_bindir}/nohup
-Requires: %{_bindir}/lockfile
+Requires: %{_bindir}/flock
+Requires: %{_bindir}/time
# needed for actually building kmods:
Requires: %{_bindir}/rpmdev-vercmp
@@ -57,19 +58,15 @@
%install
-rm -rf $RPM_BUILD_ROOT
-mkdir -p \
- $RPM_BUILD_ROOT/%{_usrsrc}/akmods/ \
- $RPM_BUILD_ROOT/%{_localstatedir}/cache/akmods/
-install -D -p -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/%{_sbindir}/akmods
-install -D -p -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/%{_bindir}/akmodsbuild
-install -D -p -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_mandir}/man1/akmodsbuild.1
-install -D -p -m 0755 %{SOURCE4} $RPM_BUILD_ROOT/%{_initrddir}/akmods
+mkdir -p %{buildroot}%{_usrsrc}/akmods/ \
+ %{buildroot}%{_localstatedir}/cache/akmods/
+install -D -p -m 0755 %{SOURCE0} %{buildroot}%{_sbindir}/akmods
+install -D -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/akmodsbuild
+install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/akmodsbuild.1
+install -D -p -m 0755 %{SOURCE4} %{buildroot}%{_initrddir}/akmods
# %%{_sysconfdir}/kernel/posttrans.d/ should be owned my mkinitrd #441111
-install -D -p -m 0755 %{SOURCE6} $RPM_BUILD_ROOT/%{_sysconfdir}/kernel/postinst.d/akmods
+install -D -p -m 0755 %{SOURCE6} %{buildroot}/%{_sysconfdir}/kernel/postinst.d/akmods
-%clean
-rm -rf $RPM_BUILD_ROOT
%pre
# create group and user
@@ -94,16 +91,26 @@
%files
-%defattr(-,root,root,-)
%{_usrsrc}/akmods
-%{_localstatedir}/cache/akmods/
+%attr(-,akmods,akmods) %{_localstatedir}/cache/akmods
%{_bindir}/akmodsbuild
%{_sbindir}/akmods
%{_initrddir}/akmods
%{_sysconfdir}/kernel/postinst.d/akmods
%{_mandir}/man1/*
+
%changelog
+* Fri Sep 23 2011 Richard Shaw <hobbes1069(a)gmail.com> - 0.3.7-1
+- Update to 0.3.7
+- Fixes #1805. Version check is now properly based on rpmdev-vercmp exit code.
+- Fixes #1813. Exit code is now 0 on success for systemd compatability.
+- Fixes #485. Change from "lockfile" to "flock" for lockfile management to
+ remove dependency on procmail.
+- Fixes #773. Added /usr/bin/time as a requirement.
+- Fixes #1592.
+- Fixes #1930. "/var/cache/akmods" is now owned by the akmods user.
+
* Sun Aug 02 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-3
- add lockfile as hard dep
Index: akmodsbuild.1
===================================================================
RCS file: /cvs/free/rpms/akmods/F-14/akmodsbuild.1,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- akmodsbuild.1 2 Oct 2008 17:28:11 -0000 1.1
+++ akmodsbuild.1 29 Sep 2011 23:26:46 -0000 1.2
@@ -17,8 +17,8 @@
.PP
.nf
.fam C
- Build the kmod for kernels in list; try to build for the current kernel
- (e.g. output from 'uname -r') if option is not used.
+ Build the kmod for kernels in list; try to build for the current
+ kernel (e.g. output from 'uname -r') if option is not used.
.fam T
.fi
@@ -82,9 +82,11 @@
.PP
.nf
.fam C
- $ akmodsbuild /usr/src/akmods/ndiswrapper-kmod-1.52-1.lvn9.1.src.rpm /usr/src/akmods/madwifi-kmod-0.9.4-2.lvn9.src.rpm
+$ akmodsbuild /usr/src/akmods/ndiswrapper-kmod-1.52-1.lvn9.1.src.rpm /usr/src/akmods/madwifi-kmod-0.9.4-2.lvn9.src.rpm
.SH BUGS
-None know, but there are likely some
+https://bugzilla.rpmfusion.org/buglist.cgi?product=Fedora&component=akmods&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED
.SH AUTHOR
Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
+.SH MAINTAINER
+Richard Shaw <hobbes1069 [AT] gmail [DOT] com>
13 years, 1 month
rpms/akmods/F-15 akmods, 1.4, 1.5 akmods.spec, 1.6, 1.7 akmodsbuild.1, 1.1, 1.2
by Richard Shaw
Author: hobbes1069
Update of /cvs/free/rpms/akmods/F-15
In directory se02.es.rpmfusion.net:/tmp/cvs-serv30257
Modified Files:
akmods akmods.spec akmodsbuild.1
Log Message:
* Fri Sep 23 2011 Richard Shaw <hobbes1069(a)gmail.com> - 0.3.7-1
- Update to 0.3.7
- Fixes #1805. Version check is now properly based on rpmdev-vercmp exit code.
- Fixes #1813. Exit code is now 0 on success for systemd compatability.
- Fixes #485. Change from "lockfile" to "flock" for lockfile management to
remove dependency on procmail.
- Fixes #773. Added /usr/bin/time as a requirement.
- Fixes #1592.
- Fixes #1930. "/var/cache/akmods" is now owned by the akmods user.
Index: akmods
===================================================================
RCS file: /cvs/free/rpms/akmods/F-15/akmods,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- akmods 1 Feb 2009 13:21:31 -0000 1.4
+++ akmods 29 Sep 2011 23:25:46 -0000 1.5
@@ -36,7 +36,7 @@
# global vars
myprog="akmods"
-myver="0.3.5"
+myver="0.3.7"
kmodlogfile=
continue_line=""
tmpdir=
@@ -105,7 +105,7 @@
exit ${1:-128}
}
-trap "finally" ABRT EXIT HUP INT QUIT
+trap "finally" ABRT HUP INT QUIT
create_tmpdir()
{
@@ -192,7 +192,7 @@
fi
# tools needed
- for tool in akmodsbuild chown lockfile sed rpmdev-vercmp; do
+ for tool in akmodsbuild chown flock sed rpmdev-vercmp; do
if ! which "${tool}" &> /dev/null ; then
echo -n "${tool} not found" >&2
echo_failure; echo; exit 1
@@ -200,7 +200,8 @@
done
# create lockfile and wait till we get it
- lockfile -s 2 -l 1800 "/var/cache/akmods/.lockfile"
+ exec 99>/var/lock/subsys/akmods
+ flock -w 900 99
}
buildinstall_kmod()
@@ -277,15 +278,15 @@
# everything fine?
if (( ${returncode} != 0 )); then
- if [[ "${continue_line}" ]]; then
- akmods_echo 1 2 --failure
- fi
- akmods_echo 2 1 "Could not install newly built RPMs. You can find them and the logfile"
- akmods_echo 2 1 "${this_kmodverrel}-for-${this_kernelver}.failed.log in /var/cache/akmods/${this_kmodname}/"
- cp -fl "${kmodlogfile}" "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}.failed.log"
- kmodlogfile=""
- remove_tmpdir
- return 8
+ if [[ "${continue_line}" ]]; then
+ akmods_echo 1 2 --failure
+ fi
+ akmods_echo 2 1 "Could not install newly built RPMs. You can find them and the logfile"
+ akmods_echo 2 1 "${this_kmodverrel}-for-${this_kernelver}.failed.log in /var/cache/akmods/${this_kmodname}/"
+ cp -fl "${kmodlogfile}" "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}.failed.log"
+ kmodlogfile=""
+ remove_tmpdir
+ return 8
fi
# finish
@@ -319,21 +320,21 @@
local kmodver=$(rpm -q --qf '%{EPOCH}:%{VERSION}-%{RELEASE}\n' "${kmodpackage}" | sed 's|(none)|0|; s!\.\(fc\|lvn\)[0-9]*!!g')
local akmodver=$(rpm -qp --qf '%{EPOCH}:%{VERSION}-%{RELEASE}\n' /usr/src/akmods/"${this_kmodname}"-kmod.latest | sed 's|(none)|0|; s!\.\(fc\|lvn\)[0-9]*!!g')
- # are they equal?
- if [[ "${kmodver}" == "${akmodver}" ]]; then
+ rpmdev-vercmp "${kmodver}" "${akmodver}" &>/dev/null
+ if [ "$?" == 0 ]; then
+ # Versions are the same. Nothing to do.
return 0
- fi
-
- local newestpkgver=$(rpmdev-vercmp "${kmodver}" "${akmodver}" 2>/dev/null | awk '{print $1}')
- if [[ ! "${kmodver}" ]] || [[ ! "${akmodver}" ]] || [[ ! "${newestpkgver}" ]] ; then
- # seems we didn't get what we wanted
- # well, better to do nothing in this case
- akmods_echo 1 2 -n "Warning: Could not determine if akmod is newer then the installed kmod"
+ elif [ "$?" == 11 ]; then
+ # kmod is newer, this nomally shouldn't happen.
+ akmods_echo 1 2 -n "Warning: installed kmod is newer then the akmod"
return 0
- elif [[ "${akmodver}" == "${newestpkgver}" ]] ; then
- # build it
+ elif [ "$?" == 12 ]; then
+ # akmod is newer, need to build kmod.
return 1
else
+ # Something went wrong
+ akmods_echo 1 2 -n "Error: Could not determine if akmod is newer then the installed kmod"
+ akmods_echo 1 2 --failure
return 0
fi
}
@@ -362,7 +363,8 @@
if [[ "${continue_line}" ]]; then
akmods_echo 1 2 --success
# if the files for building modules are not avilable don't even try to build modules
- if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] || [[ ! -r /lib/modules/${this_kernelver}/build/Makefile ]]; then
+ if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] && \
+ [[ ! -r /lib/modules/${this_kernelver}/build/Makefile ]]; then
akmods_echo 1 2 "Files needed for building modules against kernel"
akmods_echo 1 2 "${this_kernelver} could not be found as the following"
akmods_echo 1 2 "directories are missing:"
@@ -421,10 +423,12 @@
if [[ ! "${1}" ]] ; then
echo "ERROR: Please provide the kernel-version to build for together with --kernel" >&2
exit 1
- elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && [[ ! -r /lib/modules/${1}/build/Makefile ]]; then
+ elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && \
+ [[ ! -r /lib/modules/${1}/build/Makefile ]]; then
echo "Could not find files needed to compile modules for ${1}"
exit 1
- elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && [[ ! -r /boot/vmlinuz-"${1}" ]]; then
+ elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \
+ [[ ! -r /boot/vmlinuz-"${1}" ]]; then
# this is a red hat / fedora kernel-devel package, but the kernel for it is not installed
# kmodtool would adds a dep on that kernel when building; thus when we'd try to install the
# rpms we'd run into a missing-dep problem. Thus we prevent that case
@@ -457,7 +461,7 @@
shift
;;
--from-init)
- # just in case: remove stale lockfile is it exists:
+ # just in case: remove stale lockfile if it exists:
rm -f /var/cache/akmods/.lockfile
shift
;;
@@ -494,7 +498,7 @@
# go
for kernel in ${kernels} ; do
- check_kmods ${kernel}
+ check_kmods ${kernel}
done
# finished :)
Index: akmods.spec
===================================================================
RCS file: /cvs/free/rpms/akmods/F-15/akmods.spec,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- akmods.spec 2 Aug 2009 13:43:08 -0000 1.6
+++ akmods.spec 29 Sep 2011 23:25:46 -0000 1.7
@@ -1,24 +1,25 @@
Name: akmods
-Version: 0.3.6
-Release: 3%{?dist}
+Version: 0.3.7
+Release: 1%{?dist}
Summary: Automatic kmods build and install tool
Group: System Environment/Kernel
License: MIT
URL: http://rpmfusion.org/Packaging/KernelModules/Akmods
Source0: akmods
-#to be written: Source1: akmods.1
+# To be written
+#Source1: akmods.1
Source2: akmodsbuild
Source3: akmodsbuild.1
Source4: akmodsinit
Source6: akmodsposttrans
-BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
# not picked up automatically
Requires: %{_bindir}/nohup
-Requires: %{_bindir}/lockfile
+Requires: %{_bindir}/flock
+Requires: %{_bindir}/time
# needed for actually building kmods:
Requires: %{_bindir}/rpmdev-vercmp
@@ -57,19 +58,15 @@
%install
-rm -rf $RPM_BUILD_ROOT
-mkdir -p \
- $RPM_BUILD_ROOT/%{_usrsrc}/akmods/ \
- $RPM_BUILD_ROOT/%{_localstatedir}/cache/akmods/
-install -D -p -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/%{_sbindir}/akmods
-install -D -p -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/%{_bindir}/akmodsbuild
-install -D -p -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_mandir}/man1/akmodsbuild.1
-install -D -p -m 0755 %{SOURCE4} $RPM_BUILD_ROOT/%{_initrddir}/akmods
+mkdir -p %{buildroot}%{_usrsrc}/akmods/ \
+ %{buildroot}%{_localstatedir}/cache/akmods/
+install -D -p -m 0755 %{SOURCE0} %{buildroot}%{_sbindir}/akmods
+install -D -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/akmodsbuild
+install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/akmodsbuild.1
+install -D -p -m 0755 %{SOURCE4} %{buildroot}%{_initrddir}/akmods
# %%{_sysconfdir}/kernel/posttrans.d/ should be owned my mkinitrd #441111
-install -D -p -m 0755 %{SOURCE6} $RPM_BUILD_ROOT/%{_sysconfdir}/kernel/postinst.d/akmods
+install -D -p -m 0755 %{SOURCE6} %{buildroot}/%{_sysconfdir}/kernel/postinst.d/akmods
-%clean
-rm -rf $RPM_BUILD_ROOT
%pre
# create group and user
@@ -94,16 +91,26 @@
%files
-%defattr(-,root,root,-)
%{_usrsrc}/akmods
-%{_localstatedir}/cache/akmods/
+%attr(-,akmods,akmods) %{_localstatedir}/cache/akmods
%{_bindir}/akmodsbuild
%{_sbindir}/akmods
%{_initrddir}/akmods
%{_sysconfdir}/kernel/postinst.d/akmods
%{_mandir}/man1/*
+
%changelog
+* Fri Sep 23 2011 Richard Shaw <hobbes1069(a)gmail.com> - 0.3.7-1
+- Update to 0.3.7
+- Fixes #1805. Version check is now properly based on rpmdev-vercmp exit code.
+- Fixes #1813. Exit code is now 0 on success for systemd compatability.
+- Fixes #485. Change from "lockfile" to "flock" for lockfile management to
+ remove dependency on procmail.
+- Fixes #773. Added /usr/bin/time as a requirement.
+- Fixes #1592.
+- Fixes #1930. "/var/cache/akmods" is now owned by the akmods user.
+
* Sun Aug 02 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-3
- add lockfile as hard dep
Index: akmodsbuild.1
===================================================================
RCS file: /cvs/free/rpms/akmods/F-15/akmodsbuild.1,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- akmodsbuild.1 2 Oct 2008 17:28:11 -0000 1.1
+++ akmodsbuild.1 29 Sep 2011 23:25:46 -0000 1.2
@@ -17,8 +17,8 @@
.PP
.nf
.fam C
- Build the kmod for kernels in list; try to build for the current kernel
- (e.g. output from 'uname -r') if option is not used.
+ Build the kmod for kernels in list; try to build for the current
+ kernel (e.g. output from 'uname -r') if option is not used.
.fam T
.fi
@@ -82,9 +82,11 @@
.PP
.nf
.fam C
- $ akmodsbuild /usr/src/akmods/ndiswrapper-kmod-1.52-1.lvn9.1.src.rpm /usr/src/akmods/madwifi-kmod-0.9.4-2.lvn9.src.rpm
+$ akmodsbuild /usr/src/akmods/ndiswrapper-kmod-1.52-1.lvn9.1.src.rpm /usr/src/akmods/madwifi-kmod-0.9.4-2.lvn9.src.rpm
.SH BUGS
-None know, but there are likely some
+https://bugzilla.rpmfusion.org/buglist.cgi?product=Fedora&component=akmods&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED
.SH AUTHOR
Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
+.SH MAINTAINER
+Richard Shaw <hobbes1069 [AT] gmail [DOT] com>
13 years, 1 month
rpms/akmods/devel akmods, 1.4, 1.5 akmods.spec, 1.6, 1.7 akmodsbuild.1, 1.1, 1.2
by Richard Shaw
Author: hobbes1069
Update of /cvs/free/rpms/akmods/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv28529
Modified Files:
akmods akmods.spec akmodsbuild.1
Log Message:
* Fri Sep 23 2011 Richard Shaw <hobbes1069(a)gmail.com> - 0.3.7-1
- Update to 0.3.7
- Fixes #1805. Version check is now properly based on rpmdev-vercmp exit code.
- Fixes #1813. Exit code is now 0 on success for systemd compatability.
- Fixes #485. Change from "lockfile" to "flock" for lockfile management to
remove dependency on procmail.
- Fixes #773. Added /usr/bin/time as a requirement.
- Fixes #1592.
- Fixes #1930. "/var/cache/akmods" is now owned by the akmods user.
Index: akmods
===================================================================
RCS file: /cvs/free/rpms/akmods/devel/akmods,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- akmods 1 Feb 2009 13:21:31 -0000 1.4
+++ akmods 29 Sep 2011 23:17:43 -0000 1.5
@@ -36,7 +36,7 @@
# global vars
myprog="akmods"
-myver="0.3.5"
+myver="0.3.7"
kmodlogfile=
continue_line=""
tmpdir=
@@ -105,7 +105,7 @@
exit ${1:-128}
}
-trap "finally" ABRT EXIT HUP INT QUIT
+trap "finally" ABRT HUP INT QUIT
create_tmpdir()
{
@@ -192,7 +192,7 @@
fi
# tools needed
- for tool in akmodsbuild chown lockfile sed rpmdev-vercmp; do
+ for tool in akmodsbuild chown flock sed rpmdev-vercmp; do
if ! which "${tool}" &> /dev/null ; then
echo -n "${tool} not found" >&2
echo_failure; echo; exit 1
@@ -200,7 +200,8 @@
done
# create lockfile and wait till we get it
- lockfile -s 2 -l 1800 "/var/cache/akmods/.lockfile"
+ exec 99>/var/lock/subsys/akmods
+ flock -w 900 99
}
buildinstall_kmod()
@@ -277,15 +278,15 @@
# everything fine?
if (( ${returncode} != 0 )); then
- if [[ "${continue_line}" ]]; then
- akmods_echo 1 2 --failure
- fi
- akmods_echo 2 1 "Could not install newly built RPMs. You can find them and the logfile"
- akmods_echo 2 1 "${this_kmodverrel}-for-${this_kernelver}.failed.log in /var/cache/akmods/${this_kmodname}/"
- cp -fl "${kmodlogfile}" "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}.failed.log"
- kmodlogfile=""
- remove_tmpdir
- return 8
+ if [[ "${continue_line}" ]]; then
+ akmods_echo 1 2 --failure
+ fi
+ akmods_echo 2 1 "Could not install newly built RPMs. You can find them and the logfile"
+ akmods_echo 2 1 "${this_kmodverrel}-for-${this_kernelver}.failed.log in /var/cache/akmods/${this_kmodname}/"
+ cp -fl "${kmodlogfile}" "/var/cache/akmods/${this_kmodname}/${this_kmodverrel}-for-${this_kernelver}.failed.log"
+ kmodlogfile=""
+ remove_tmpdir
+ return 8
fi
# finish
@@ -319,21 +320,21 @@
local kmodver=$(rpm -q --qf '%{EPOCH}:%{VERSION}-%{RELEASE}\n' "${kmodpackage}" | sed 's|(none)|0|; s!\.\(fc\|lvn\)[0-9]*!!g')
local akmodver=$(rpm -qp --qf '%{EPOCH}:%{VERSION}-%{RELEASE}\n' /usr/src/akmods/"${this_kmodname}"-kmod.latest | sed 's|(none)|0|; s!\.\(fc\|lvn\)[0-9]*!!g')
- # are they equal?
- if [[ "${kmodver}" == "${akmodver}" ]]; then
+ rpmdev-vercmp "${kmodver}" "${akmodver}" &>/dev/null
+ if [ "$?" == 0 ]; then
+ # Versions are the same. Nothing to do.
return 0
- fi
-
- local newestpkgver=$(rpmdev-vercmp "${kmodver}" "${akmodver}" 2>/dev/null | awk '{print $1}')
- if [[ ! "${kmodver}" ]] || [[ ! "${akmodver}" ]] || [[ ! "${newestpkgver}" ]] ; then
- # seems we didn't get what we wanted
- # well, better to do nothing in this case
- akmods_echo 1 2 -n "Warning: Could not determine if akmod is newer then the installed kmod"
+ elif [ "$?" == 11 ]; then
+ # kmod is newer, this nomally shouldn't happen.
+ akmods_echo 1 2 -n "Warning: installed kmod is newer then the akmod"
return 0
- elif [[ "${akmodver}" == "${newestpkgver}" ]] ; then
- # build it
+ elif [ "$?" == 12 ]; then
+ # akmod is newer, need to build kmod.
return 1
else
+ # Something went wrong
+ akmods_echo 1 2 -n "Error: Could not determine if akmod is newer then the installed kmod"
+ akmods_echo 1 2 --failure
return 0
fi
}
@@ -362,7 +363,8 @@
if [[ "${continue_line}" ]]; then
akmods_echo 1 2 --success
# if the files for building modules are not avilable don't even try to build modules
- if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] || [[ ! -r /lib/modules/${this_kernelver}/build/Makefile ]]; then
+ if [[ ! -r /usr/src/kernels/"${this_kernelver}"/Makefile ]] && \
+ [[ ! -r /lib/modules/${this_kernelver}/build/Makefile ]]; then
akmods_echo 1 2 "Files needed for building modules against kernel"
akmods_echo 1 2 "${this_kernelver} could not be found as the following"
akmods_echo 1 2 "directories are missing:"
@@ -421,10 +423,12 @@
if [[ ! "${1}" ]] ; then
echo "ERROR: Please provide the kernel-version to build for together with --kernel" >&2
exit 1
- elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && [[ ! -r /lib/modules/${1}/build/Makefile ]]; then
+ elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && \
+ [[ ! -r /lib/modules/${1}/build/Makefile ]]; then
echo "Could not find files needed to compile modules for ${1}"
exit 1
- elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && [[ ! -r /boot/vmlinuz-"${1}" ]]; then
+ elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \
+ [[ ! -r /boot/vmlinuz-"${1}" ]]; then
# this is a red hat / fedora kernel-devel package, but the kernel for it is not installed
# kmodtool would adds a dep on that kernel when building; thus when we'd try to install the
# rpms we'd run into a missing-dep problem. Thus we prevent that case
@@ -457,7 +461,7 @@
shift
;;
--from-init)
- # just in case: remove stale lockfile is it exists:
+ # just in case: remove stale lockfile if it exists:
rm -f /var/cache/akmods/.lockfile
shift
;;
@@ -494,7 +498,7 @@
# go
for kernel in ${kernels} ; do
- check_kmods ${kernel}
+ check_kmods ${kernel}
done
# finished :)
13 years, 1 month
rpms/xine-lib-extras-freeworld/devel xine-lib-1.1.19-ffmpeg08.patch, 1.1, 1.2
by Kevin Kofler
Author: kkofler
Update of /cvs/free/rpms/xine-lib-extras-freeworld/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv23983/devel
Modified Files:
xine-lib-1.1.19-ffmpeg08.patch
Log Message:
Fix missing newline at the end of the patch.
xine-lib-1.1.19-ffmpeg08.patch:
ff_audio_decoder.c | 19 +++++++++++++++++++
ff_video_decoder.c | 31 +++++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
Index: xine-lib-1.1.19-ffmpeg08.patch
===================================================================
RCS file: /cvs/free/rpms/xine-lib-extras-freeworld/devel/xine-lib-1.1.19-ffmpeg08.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- xine-lib-1.1.19-ffmpeg08.patch 29 Sep 2011 22:22:25 -0000 1.1
+++ xine-lib-1.1.19-ffmpeg08.patch 29 Sep 2011 22:45:27 -0000 1.2
@@ -112,4 +112,4 @@
+
#ifdef AVCODEC_HAS_REORDERED_OPAQUE
- /* reset consumed pts value */
\ No newline at end of file
+ /* reset consumed pts value */
13 years, 1 month
rpms/k3b-extras-freeworld/devel k3b-2.0.2-ffmpeg08.patch,1.1,1.2
by Kevin Kofler
Author: kkofler
Update of /cvs/free/rpms/k3b-extras-freeworld/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv22100/devel
Modified Files:
k3b-2.0.2-ffmpeg08.patch
Log Message:
Fix missing newline at the end of the patch.
k3b-2.0.2-ffmpeg08.patch:
k3bffmpegwrapper.cpp | 35 +++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
Index: k3b-2.0.2-ffmpeg08.patch
===================================================================
RCS file: /cvs/free/rpms/k3b-extras-freeworld/devel/k3b-2.0.2-ffmpeg08.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- k3b-2.0.2-ffmpeg08.patch 29 Sep 2011 22:13:08 -0000 1.1
+++ k3b-2.0.2-ffmpeg08.patch 29 Sep 2011 22:34:06 -0000 1.2
@@ -89,4 +89,4 @@
+#endif
if( d->packetSize <= 0 || len < 0 )
- ::av_free_packet( &d->packet );
\ No newline at end of file
+ ::av_free_packet( &d->packet );
13 years, 1 month
rpms/xine-lib-extras-freeworld/devel xine-lib-1.1.19-ffmpeg08.patch, NONE, 1.1 xine-lib-extras-freeworld.spec, 1.35, 1.36
by Kevin Kofler
Author: kkofler
Update of /cvs/free/rpms/xine-lib-extras-freeworld/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv19325/devel
Modified Files:
xine-lib-extras-freeworld.spec
Added Files:
xine-lib-1.1.19-ffmpeg08.patch
Log Message:
* Thu Sep 29 2011 Kevin Kofler <Kevin(a)tigcc.ticalc.org> - 1.1.19-3
- fix build with FFmpeg 0.8 (#1957)
xine-lib-1.1.19-ffmpeg08.patch:
ff_audio_decoder.c | 19 +++++++++++++++++++
ff_video_decoder.c | 31 +++++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
--- NEW FILE xine-lib-1.1.19-ffmpeg08.patch ---
diff -up xine-lib-1.1.19/src/combined/ffmpeg/ff_audio_decoder.c.ffmpeg xine-lib-1.1.19/src/combined/ffmpeg/ff_audio_decoder.c
--- xine-lib-1.1.19/src/combined/ffmpeg/ff_audio_decoder.c.ffmpeg 2010-03-23 16:41:49.000000000 +0100
+++ xine-lib-1.1.19/src/combined/ffmpeg/ff_audio_decoder.c 2011-08-27 19:21:47.000000000 +0200
@@ -286,11 +286,20 @@ static void ff_audio_decode_data (audio_
if (!this->output_open) {
if (!this->audio_bits || !this->audio_sample_rate || !this->audio_channels) {
decode_buffer_size = AVCODEC_MAX_AUDIO_FRAME_SIZE;
+#if FF_API_AUDIO_OLD
avcodec_decode_audio2 (this->context,
(int16_t *)this->decode_buffer,
&decode_buffer_size,
&this->buf[0],
this->size);
+#else
+ AVPacket avpkt;
+ av_init_packet(&avpkt);
+ avpkt.data = &this->buf[0];
+ avpkt.size = this->size;
+ avcodec_decode_audio3 (this->context, (int16_t *)this->decode_buffer,
+ &decode_buffer_size, &avpkt);
+#endif
this->audio_bits = this->context->bits_per_sample;
this->audio_sample_rate = this->context->sample_rate;
this->audio_channels = this->context->channels;
@@ -311,12 +320,22 @@ static void ff_audio_decode_data (audio_
offset = 0;
while (this->size>0) {
decode_buffer_size = AVCODEC_MAX_AUDIO_FRAME_SIZE;
+#if FF_API_AUDIO_OLD
bytes_consumed = avcodec_decode_audio2 (this->context,
(int16_t *)this->decode_buffer,
&decode_buffer_size,
&this->buf[offset],
this->size);
+#else
+ AVPacket avpkt;
+ av_init_packet(&avpkt);
+ avpkt.data = &this->buf[offset];
+ avpkt.size = this->size;
+ bytes_consumed = avcodec_decode_audio3 (this->context,
+ (int16_t *)this->decode_buffer,
+ &decode_buffer_size, &avpkt);
+#endif
if (bytes_consumed<0) {
xprintf (this->stream->xine, XINE_VERBOSITY_DEBUG,
"ffmpeg_audio_dec: error decompressing audio frame\n");
diff -up xine-lib-1.1.19/src/combined/ffmpeg/ff_video_decoder.c.ffmpeg xine-lib-1.1.19/src/combined/ffmpeg/ff_video_decoder.c
--- xine-lib-1.1.19/src/combined/ffmpeg/ff_video_decoder.c.ffmpeg 2010-03-10 20:07:15.000000000 +0100
+++ xine-lib-1.1.19/src/combined/ffmpeg/ff_video_decoder.c 2011-08-27 20:07:35.000000000 +0200
@@ -1055,12 +1055,25 @@ static void ff_handle_mpeg12_buffer (ff_
}
/* skip decoding b frames if too late */
+#if FF_API_HURRY_UP
this->context->hurry_up = (this->skipframes > 0);
+#else
+ this->context->skip_frame = (this->skipframes > 0);
+#endif
lprintf("avcodec_decode_video: size=%d\n", this->mpeg_parser->buffer_size);
+#if FF_API_VIDEO_OLD
len = avcodec_decode_video (this->context, this->av_frame,
&got_picture, this->mpeg_parser->chunk_buffer,
this->mpeg_parser->buffer_size);
+#else
+ AVPacket avpkt;
+ av_init_packet(&avpkt);
+ avpkt.data = (uint8_t *) this->mpeg_parser->chunk_buffer;
+ avpkt.size = this->mpeg_parser->buffer_size;
+ len = avcodec_decode_video2 (this->context, this->av_frame,
+ &got_picture, &avpkt);
+#endif
lprintf("avcodec_decode_video: decoded_size=%d, got_picture=%d\n",
len, got_picture);
len = current - buf->content - offset;
@@ -1112,7 +1125,11 @@ static void ff_handle_mpeg12_buffer (ff_
} else {
+#if FF_API_HURRY_UP
if (this->context->hurry_up) {
+#else
+ if (this->context->skip_frame) {
+#endif
/* skipped frame, output a bad frame */
img = this->stream->video_out->get_frame (this->stream->video_out,
this->bih.biWidth,
@@ -1304,12 +1321,26 @@ static void ff_handle_buffer (ff_video_d
got_picture = 0;
} else {
/* skip decoding b frames if too late */
+#if FF_API_HURRY_UP
this->context->hurry_up = (this->skipframes > 0);
+#else
+ this->context->skip_frame = (this->skipframes > 0);
+#endif
lprintf("buffer size: %d\n", this->size);
+#if FF_API_VIDEO_OLD
len = avcodec_decode_video (this->context, this->av_frame,
&got_picture, &chunk_buf[offset],
this->size);
+#else
+ AVPacket avpkt;
+ av_init_packet(&avpkt);
+ avpkt.data = (uint8_t *) &chunk_buf[offset];
+ avpkt.size = this->size;
+ len = avcodec_decode_video2 (this->context, this->av_frame,
+ &got_picture, &avpkt);
+#endif
+
#ifdef AVCODEC_HAS_REORDERED_OPAQUE
/* reset consumed pts value */
Index: xine-lib-extras-freeworld.spec
===================================================================
RCS file: /cvs/free/rpms/xine-lib-extras-freeworld/devel/xine-lib-extras-freeworld.spec,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -r1.35 -r1.36
--- xine-lib-extras-freeworld.spec 26 Sep 2011 21:27:55 -0000 1.35
+++ xine-lib-extras-freeworld.spec 29 Sep 2011 22:22:25 -0000 1.36
@@ -9,7 +9,7 @@
Name: xine-lib-extras-freeworld
Summary: Extra codecs for the Xine multimedia library
Version: 1.1.19
-Release: 2%{?dist}
+Release: 3%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://xinehq.de/
@@ -17,7 +17,8 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: xine-lib-1.1.3-optflags.patch
-Patch6: xine-lib-1.1.1-deepbind-939.patch
+Patch1: xine-lib-1.1.1-deepbind-939.patch
+Patch2: xine-lib-1.1.19-ffmpeg08.patch
## upstreamable patches
@@ -69,7 +70,8 @@
%patch0 -p1 -b .optflags
touch -r m4/optimizations.m4.stamp m4/optimizations.m4
# when compiling with external ffmpeg and internal libfaad #939.
-#patch6 -p1 -b .deepbind
+#patch1 -p1 -b .deepbind
+%patch2 -p1 -b .ffmpeg08
# Avoid standard rpaths on lib64 archs:
sed -i -e 's|"/lib /usr/lib\b|"/%{_lib} %{_libdir}|' configure
@@ -186,6 +188,9 @@
%changelog
+* Thu Sep 29 2011 Kevin Kofler <Kevin(a)tigcc.ticalc.org> - 1.1.19-3
+- fix build with FFmpeg 0.8 (#1957)
+
* Mon Sep 26 2011 Nicolas Chauvet <kwizart(a)gmail.com> - 1.1.19-2
- Rebuilt for FFmpeg-0.8
13 years, 1 month
rpms/k3b-extras-freeworld/devel k3b-2.0.2-ffmpeg08.patch, NONE, 1.1 k3b-extras-freeworld.spec, 1.25, 1.26 k3b-1.91.0-ffmpeg06.patch, 1.1, NONE
by Kevin Kofler
Author: kkofler
Update of /cvs/free/rpms/k3b-extras-freeworld/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv17950/devel
Modified Files:
k3b-extras-freeworld.spec
Added Files:
k3b-2.0.2-ffmpeg08.patch
Removed Files:
k3b-1.91.0-ffmpeg06.patch
Log Message:
* Thu Sep 29 2011 Kevin Kofler <Kevin(a)tigcc.ticalc.org> - 1:2.0.2-2
- fix build with FFmpeg 0.8 (#1960)
k3b-2.0.2-ffmpeg08.patch:
k3bffmpegwrapper.cpp | 35 +++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
--- NEW FILE k3b-2.0.2-ffmpeg08.patch ---
diff -up k3b-2.0.2/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp.ffmpeg k3b-2.0.2/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
--- k3b-2.0.2/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp.ffmpeg 2011-01-15 21:47:29.000000000 +0100
+++ k3b-2.0.2/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp 2011-09-03 16:15:35.000000000 +0200
@@ -109,7 +109,11 @@ bool K3bFFMpegFile::open()
#else
::AVCodecContext* codecContext = d->formatContext->streams[0]->codec;
#endif
+#if LIBAVCODEC_VERSION_MAJOR < 53
if( codecContext->codec_type != CODEC_TYPE_AUDIO ) {
+#else
+ if( codecContext->codec_type != AVMEDIA_TYPE_AUDIO ) {
+#endif
kDebug() << "(K3bFFMpegFile) not a simple audio stream: " << m_filename;
return false;
}
@@ -225,8 +229,14 @@ QString K3bFFMpegFile::typeComment() con
QString K3bFFMpegFile::title() const
{
// FIXME: is this UTF8 or something??
+#if FF_API_OLD_METADATA
if( d->formatContext->title[0] != '\0' )
return QString::fromLocal8Bit( d->formatContext->title );
+#else
+ AVDictionaryEntry *entry=av_metadata_get(d->formatContext->metadata,"title",NULL,0);
+ if( entry->value != NULL )
+ return QString::fromLocal8Bit( entry->value );
+#endif
else
return QString();
}
@@ -235,8 +245,14 @@ QString K3bFFMpegFile::title() const
QString K3bFFMpegFile::author() const
{
// FIXME: is this UTF8 or something??
+#if FF_API_OLD_METADATA
if( d->formatContext->author[0] != '\0' )
return QString::fromLocal8Bit( d->formatContext->author );
+#else
+ AVDictionaryEntry *entry=av_metadata_get(d->formatContext->metadata,"author",NULL,0);
+ if( entry->value != NULL )
+ return QString::fromLocal8Bit( entry->value );
+#endif
else
return QString();
}
@@ -245,8 +261,14 @@ QString K3bFFMpegFile::author() const
QString K3bFFMpegFile::comment() const
{
// FIXME: is this UTF8 or something??
+#if FF_API_OLD_METADATA
if( d->formatContext->comment[0] != '\0' )
return QString::fromLocal8Bit( d->formatContext->comment );
+#else
+ AVDictionaryEntry *entry=av_metadata_get(d->formatContext->metadata,"comment",NULL,0);
+ if( entry->value != NULL )
+ return QString::fromLocal8Bit( entry->value );
+#endif
else
return QString();
}
@@ -306,10 +328,19 @@ int K3bFFMpegFile::fillOutputBuffer()
d->outputBufferPos = d->alignedOutputBuffer;
d->outputBufferSize = AVCODEC_MAX_AUDIO_FRAME_SIZE;
+
#if LIBAVCODEC_VERSION_MAJOR < 52
int len = ::avcodec_decode_audio(
#else
+#if FF_API_AUDIO_OLD
int len = ::avcodec_decode_audio2(
+#else
+ AVPacket avpkt;
+ av_init_packet(&avpkt);
+ avpkt.data = d->packetData;
+ avpkt.size = d->packetSize;
+ int len = ::avcodec_decode_audio3(
+#endif
#endif
#ifdef FFMPEG_BUILD_PRE_4629
&d->formatContext->streams[0]->codec,
@@ -318,7 +349,11 @@ int K3bFFMpegFile::fillOutputBuffer()
#endif
(short*)d->alignedOutputBuffer,
&d->outputBufferSize,
+#if FF_API_AUDIO_OLD
d->packetData, d->packetSize );
+#else
+ &avpkt );
+#endif
if( d->packetSize <= 0 || len < 0 )
::av_free_packet( &d->packet );
Index: k3b-extras-freeworld.spec
===================================================================
RCS file: /cvs/free/rpms/k3b-extras-freeworld/devel/k3b-extras-freeworld.spec,v
retrieving revision 1.25
retrieving revision 1.26
diff -u -r1.25 -r1.26
--- k3b-extras-freeworld.spec 17 Sep 2011 13:57:30 -0000 1.25
+++ k3b-extras-freeworld.spec 29 Sep 2011 22:13:08 -0000 1.26
@@ -3,14 +3,14 @@
Summary: Additional codec plugins for the k3b CD/DVD burning application
Epoch: 1
Version: 2.0.2
-Release: 1%{?dist}
+Release: 2%{?dist}
Group: Applications/Archiving
License: GPLv2+
URL: http://www.k3b.org/
Source0: http://downloads.sourceforge.net/sourceforge/k3b/k3b-%{version}%{?pre}.ta...
-# fix build with FFmpeg 0.6 snapshots (define __STDC_CONSTANT_MACROS)
-Patch1: k3b-1.91.0-ffmpeg06.patch
+# fix build with FFmpeg 0.8 (#1960)
+Patch1: k3b-2.0.2-ffmpeg08.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# TODO: bugzilla/document
ExcludeArch: s390 s390x
@@ -48,9 +48,7 @@
%prep
%setup -q -n k3b-%{version}
-## seems no longer needed with ffmpeg-0.6+k3b-2.0.1 at least,
-## keep it around temporarily just in case -- Rex
-#patch1 -p1 -b .ffmpeg06
+%patch1 -p1 -b .ffmpeg08
%build
@@ -94,6 +92,9 @@
%changelog
+* Thu Sep 29 2011 Kevin Kofler <Kevin(a)tigcc.ticalc.org> - 1:2.0.2-2
+- fix build with FFmpeg 0.8 (#1960)
+
* Sat Sep 17 2011 Kevin Kofler <Kevin(a)tigcc.ticalc.org> - 1:2.0.2-1
- update to 2.0.2
- Requires: k3b >= %{epoch}:%{version} rather than just %{version}
--- k3b-1.91.0-ffmpeg06.patch DELETED ---
13 years, 1 month
rpms/ffmpegthumbnailer/F-15 .cvsignore, 1.6, 1.7 ffmpegthumbnailer.spec, 1.7, 1.8 sources, 1.6, 1.7
by Magnus Tuominen
Author: magnu5
Update of /cvs/free/rpms/ffmpegthumbnailer/F-15
In directory se02.es.rpmfusion.net:/tmp/cvs-serv365
Modified Files:
.cvsignore ffmpegthumbnailer.spec sources
Log Message:
* Thu Sep 29 2011 Magnus Tuominen <magnus.tuominen(a)gmail.com> - 2.0.7-1
- new version
- patches merged upstream
Index: .cvsignore
===================================================================
RCS file: /cvs/free/rpms/ffmpegthumbnailer/F-15/.cvsignore,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- .cvsignore 4 Feb 2011 08:05:21 -0000 1.6
+++ .cvsignore 29 Sep 2011 16:02:34 -0000 1.7
@@ -1 +1 @@
-ffmpegthumbnailer-2.0.6.tar.gz
+ffmpegthumbnailer-2.0.7.tar.gz
Index: ffmpegthumbnailer.spec
===================================================================
RCS file: /cvs/free/rpms/ffmpegthumbnailer/F-15/ffmpegthumbnailer.spec,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- ffmpegthumbnailer.spec 13 Feb 2011 14:04:09 -0000 1.7
+++ ffmpegthumbnailer.spec 29 Sep 2011 16:02:34 -0000 1.8
@@ -1,6 +1,6 @@
Name: ffmpegthumbnailer
-Version: 2.0.6
-Release: 2%{?dist}
+Version: 2.0.7
+Release: 1%{?dist}
Summary: Lightweight video thumbnailer that can be used by file managers
Group: Applications/Multimedia
@@ -10,10 +10,10 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# patch in upstream svn
# http://code.google.com/p/ffmpegthumbnailer/source/diff?spec=svn228&r=228&...
-Patch0: %{name}-libdl.patch
+# Patch0: %%{name}-libdl.patch
# patch sent upstream
# https://code.google.com/p/ffmpegthumbnailer/issues/detail?id=83
-Patch1: %{name}-null.patch
+# Patch1: %%{name}-null.patch
BuildRequires: ffmpeg-devel, libpng-devel, libjpeg-devel
BuildRequires: chrpath, automake, autoconf
@@ -34,9 +34,6 @@
%setup -q
chmod -x README INSTALL COPYING AUTHORS
-%patch0 -p 1 -b .orig
-%patch1 -p 1 -b .orig
-
%build
%configure --enable-png \
--enable-jpeg \
@@ -74,6 +71,13 @@
%{_includedir}/libffmpegthumbnailer/*.h
%changelog
+* Thu Sep 29 2011 Magnus Tuominen <magnus.tuominen(a)gmail.com> - 2.0.7-1
+- new version
+- patches merged upstream
+
+* Mon Sep 26 2011 Nicolas Chauvet <kwizart(a)gmail.com> - 2.0.6-3
+- Rebuilt for FFmpeg-0.8*
+
* Sun Feb 13 2011 Magnus Tuominen <magnus.tuominen(a)gmail.com> - 2.0.6-2
- patch NULL reference to make rawhide build
Index: sources
===================================================================
RCS file: /cvs/free/rpms/ffmpegthumbnailer/F-15/sources,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- sources 4 Feb 2011 08:05:21 -0000 1.6
+++ sources 29 Sep 2011 16:02:34 -0000 1.7
@@ -1 +1 @@
-5003ceaadc1c5a1be1dbb34739a12bab ffmpegthumbnailer-2.0.6.tar.gz
+2b5726894792ef484793dce9568a065a ffmpegthumbnailer-2.0.7.tar.gz
13 years, 1 month
rpms/ffmpegthumbnailer/devel .cvsignore, 1.6, 1.7 ffmpegthumbnailer.spec, 1.8, 1.9 sources, 1.6, 1.7
by Magnus Tuominen
Author: magnu5
Update of /cvs/free/rpms/ffmpegthumbnailer/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv31887
Modified Files:
.cvsignore ffmpegthumbnailer.spec sources
Log Message:
* Thu Sep 29 2011 Magnus Tuominen <magnus.tuominen(a)gmail.com> - 2.0.7-1
- new version
- patches merged upstream
Index: .cvsignore
===================================================================
RCS file: /cvs/free/rpms/ffmpegthumbnailer/devel/.cvsignore,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- .cvsignore 4 Feb 2011 08:05:21 -0000 1.6
+++ .cvsignore 29 Sep 2011 15:58:25 -0000 1.7
@@ -1 +1 @@
-ffmpegthumbnailer-2.0.6.tar.gz
+ffmpegthumbnailer-2.0.7.tar.gz
Index: ffmpegthumbnailer.spec
===================================================================
RCS file: /cvs/free/rpms/ffmpegthumbnailer/devel/ffmpegthumbnailer.spec,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- ffmpegthumbnailer.spec 26 Sep 2011 20:19:26 -0000 1.8
+++ ffmpegthumbnailer.spec 29 Sep 2011 15:58:25 -0000 1.9
@@ -1,6 +1,6 @@
Name: ffmpegthumbnailer
-Version: 2.0.6
-Release: 3%{?dist}
+Version: 2.0.7
+Release: 1%{?dist}
Summary: Lightweight video thumbnailer that can be used by file managers
Group: Applications/Multimedia
@@ -10,10 +10,10 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# patch in upstream svn
# http://code.google.com/p/ffmpegthumbnailer/source/diff?spec=svn228&r=228&...
-Patch0: %{name}-libdl.patch
+# Patch0: %%{name}-libdl.patch
# patch sent upstream
# https://code.google.com/p/ffmpegthumbnailer/issues/detail?id=83
-Patch1: %{name}-null.patch
+# Patch1: %%{name}-null.patch
BuildRequires: ffmpeg-devel, libpng-devel, libjpeg-devel
BuildRequires: chrpath, automake, autoconf
@@ -34,9 +34,6 @@
%setup -q
chmod -x README INSTALL COPYING AUTHORS
-%patch0 -p 1 -b .orig
-%patch1 -p 1 -b .orig
-
%build
%configure --enable-png \
--enable-jpeg \
@@ -74,8 +71,12 @@
%{_includedir}/libffmpegthumbnailer/*.h
%changelog
+* Thu Sep 29 2011 Magnus Tuominen <magnus.tuominen(a)gmail.com> - 2.0.7-1
+- new version
+- patches merged upstream
+
* Mon Sep 26 2011 Nicolas Chauvet <kwizart(a)gmail.com> - 2.0.6-3
-- Rebuilt for FFmpeg-0.8
+- Rebuilt for FFmpeg-0.8*
* Sun Feb 13 2011 Magnus Tuominen <magnus.tuominen(a)gmail.com> - 2.0.6-2
- patch NULL reference to make rawhide build
Index: sources
===================================================================
RCS file: /cvs/free/rpms/ffmpegthumbnailer/devel/sources,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- sources 4 Feb 2011 08:05:21 -0000 1.6
+++ sources 29 Sep 2011 15:58:25 -0000 1.7
@@ -1 +1 @@
-5003ceaadc1c5a1be1dbb34739a12bab ffmpegthumbnailer-2.0.6.tar.gz
+2b5726894792ef484793dce9568a065a ffmpegthumbnailer-2.0.7.tar.gz
13 years, 1 month
rpms/xorg-x11-drv-catalyst/F-15 .cvsignore, 1.6, 1.7 sources, 1.5, 1.6 xorg-x11-drv-catalyst.spec, 1.5, 1.6 catalyst.csh, 1.2, NONE catalyst.sh, 1.2, NONE
by Stewart Adam
Author: firewing
Update of /cvs/nonfree/rpms/xorg-x11-drv-catalyst/F-15
In directory se02.es.rpmfusion.net:/tmp/cvs-serv25497
Modified Files:
.cvsignore sources xorg-x11-drv-catalyst.spec
Removed Files:
catalyst.csh catalyst.sh
Log Message:
* Wed Sep 28 2011 Stewart Adam <s.adam at diffingo.com> 11.9-1
- Update to Catalyst 11.9 (internal version 8.89.2)
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/xorg-x11-drv-catalyst/F-15/.cvsignore,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- .cvsignore 30 Jul 2011 00:40:50 -0000 1.6
+++ .cvsignore 29 Sep 2011 00:10:36 -0000 1.7
@@ -1 +1 @@
-ati-driver-installer-11-7-x86.x86_64.run
+ati-driver-installer-11-9-x86.x86_64.run
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/xorg-x11-drv-catalyst/F-15/sources,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- sources 30 Jul 2011 00:40:50 -0000 1.5
+++ sources 29 Sep 2011 00:10:36 -0000 1.6
@@ -1 +1 @@
-acebb812d4c057766828df0bf572e8ae ati-driver-installer-11-7-x86.x86_64.run
+2c6af8691b4d68709d0e0e04b96d0a3e ati-driver-installer-11-9-x86.x86_64.run
Index: xorg-x11-drv-catalyst.spec
===================================================================
RCS file: /cvs/nonfree/rpms/xorg-x11-drv-catalyst/F-15/xorg-x11-drv-catalyst.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- xorg-x11-drv-catalyst.spec 30 Jul 2011 00:40:50 -0000 1.5
+++ xorg-x11-drv-catalyst.spec 29 Sep 2011 00:10:36 -0000 1.6
@@ -7,13 +7,13 @@
%endif
Name: xorg-x11-drv-catalyst
-Version: 11.7
+Version: 11.9
Release: 1%{?dist}
Summary: AMD's proprietary driver for ATI graphic cards
Group: User Interface/X Hardware Support
License: Redistributable, no modification permitted
URL: http://www.ati.com/support/drivers/linux/radeon-linux.html
-Source0: https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-dri...
+Source0: https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-dri...
Source1: catalyst-README.Fedora
Source3: catalyst-config-display
Source4: catalyst-init
@@ -22,8 +22,6 @@
Source7: catalyst-ati-powermode.sh
Source8: catalyst-a-ac-aticonfig
Source9: catalyst-a-lid-aticonfig
-Source10: catalyst.sh
-Source11: catalyst.csh
# So we don't mess with mesa provides.
Source91: filter-requires.sh
Source92: filter-provides.sh
@@ -113,7 +111,7 @@
%prep
%setup -q -c -T
sh %{SOURCE0} --extract fglrx
-tar -cjf catalyst-kmod-data-%{version}.tar.bz2 fglrx/common/usr/share/doc/fglrx/ATI_LICENSE.TXT \
+tar -cjf catalyst-kmod-data-%{version}.tar.bz2 fglrx/common/usr/share/doc/fglrx/LICENSE.TXT \
fglrx/common/*/modules/fglrx/ \
fglrx/arch/*/*/modules/fglrx/
@@ -224,16 +222,11 @@
# if we want versioned libs, then we need to change this and the loop above
# to install the libs as soname.so.%{version}
ln -s libGL.so.1.2 $RPM_BUILD_ROOT/%{atilibdir}/libGL.so.1
-ln -s libfglrx_gamma.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libfglrx_gamma.so.1
ln -s libfglrx_dm.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libfglrx_dm.so.1
ln -s libAMDXvBA.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libAMDXvBA.so.1
ln -s libXvBAW.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libXvBAW.so.1
ln -s libatiuki.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libatiuki.so.1
-# profile.d files
-install -D -p -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/catalyst.sh
-install -D -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/catalyst.csh
-
install -D -p -m 0644 fglrxpkg/usr/share/icons/ccc_large.xpm $RPM_BUILD_ROOT/%{_datadir}/icons/ccc_large.xpm
install -D -p -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/%(basename %{SOURCE3})
install -D -p -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%{_initrddir}/catalyst
@@ -314,7 +307,6 @@
%config %{_sysconfdir}/ati/authatieventsd.sh
%config %{_sysconfdir}/acpi/actions/ati-powermode.sh
%config(noreplace) %{_sysconfdir}/acpi/events/*aticonfig.conf
-%config(noreplace) %{_sysconfdir}/profile.d/catalyst.*
%{_initrddir}/*
%{_sbindir}/*
%{_bindir}/*
@@ -346,6 +338,9 @@
%{_includedir}/fglrx/
%changelog
+* Wed Sep 28 2011 Stewart Adam <s.adam at diffingo.com> 11.9-1
+- Update to Catalyst 11.9 (internal version 8.89.2)
+
* Fri Jul 29 2011 Stewart Adam <s.adam at diffingo.com> 11.7-1
- Update to Catalyst 11.7 (internal version 8.87.2)
- Fix previous changelog entry format
--- catalyst.csh DELETED ---
--- catalyst.sh DELETED ---
13 years, 1 month